Make Passthrough Request
curl --request POST \
--url https://api.bindbee.dev/api/v1/passthrough \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Connector-Token: <api-key>' \
--data '
{
"method": "POST",
"path": "/employees",
"headers": {
"Content-Type": "application/json"
},
"params": {
"a": 1,
"b": 2
},
"data": {
"a": 1,
"b": 2
},
"request_format": "JSON",
"response_format": "JSON",
"timeout": 300
}
'import requests
url = "https://api.bindbee.dev/api/v1/passthrough"
payload = {
"method": "POST",
"path": "/employees",
"headers": { "Content-Type": "application/json" },
"params": {
"a": 1,
"b": 2
},
"data": {
"a": 1,
"b": 2
},
"request_format": "JSON",
"response_format": "JSON",
"timeout": 300
}
headers = {
"Authorization": "Bearer <token>",
"X-Connector-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Connector-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method: 'POST',
path: '/employees',
headers: {'Content-Type': 'application/json'},
params: {a: 1, b: 2},
data: {a: 1, b: 2},
request_format: 'JSON',
response_format: 'JSON',
timeout: 300
})
};
fetch('https://api.bindbee.dev/api/v1/passthrough', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>"
}Make Passthrough Request
POST
/
api
/
v1
/
passthrough
Make Passthrough Request
Authorizations
Your Bindbee API key, sent as Authorization: Bearer <BINDBEE_API_KEY>. Required on every request.
The connector token for one customer's connection. This is not your Bindbee API key. Required on requests that read or write a single customer's data.
Body
application/json
Method of the request
Available options:
CONNECT, DELETE, GET, HEAD, OPTIONS, PATCH, POST, PUT, TRACE Example:
"POST"
Path of the request
Example:
"/employees"
headers of the request
Show child attributes
Show child attributes
Example:
{ "Content-Type": "application/json" }
params of the request
Example:
{ "a": 1, "b": 2 }
Body of the request
Example:
{ "a": 1, "b": 2 }
format of the request
Available options:
JSON, XML, MULTIPART Example:
"JSON"
format of the response
Available options:
JSON, XML, MULTIPART, BINARY Example:
"JSON"
timeout of the request
Example:
300
Response
Successful Response
Was this page helpful?